part of 'browse_bloc.dart';

@freezed
class BrowseEvent with _$BrowseEvent {
  const factory BrowseEvent.started() = _Started;

  const factory BrowseEvent.getTopCategories() = _GetTopCategories;

  const factory BrowseEvent.getAllCategories() = _GetAllCategories;

  const factory BrowseEvent.getSearchHistory() = _GetSearchHistory;

  const factory BrowseEvent.focusChanged(bool? isActive) = _FocusChanged;
}
